Subject: Re: [bug#28841] [PATCH 03/24] gnu: Add java-eclipse-jetty-test-helper.

From: julien lepiller <[email-masked]>
Date: Mon, 23 Oct 2017 09:15:02 +0200

Le 2017-10-22 16:46, Ricardo Wurmus a écrit :
> Julien Lepiller <[email-masked]> writes:
> 
>> Le Thu, 19 Oct 2017 11:57:07 +0200,
>> julien lepiller <[email-masked]> a écrit :
>> 
>>> Le 2017-10-18 22:50, Ricardo Wurmus a écrit:
>>> > Hi Julien,
>>> >
>>> >> From: Julien Lepiller <[email-masked]>
>>> >>
>>> >> * gnu/packages/java.scm (java-eclipse-jetty-test-helper): New
>>> >> variable.
>>> >
>>> > […]
>>> >
>>> > I wonder: is there a better place for this than java.scm?  The same
>>> > question applies to all other patches in this series.  Let’s try to
>>> > avoid a second python.scm situation :)
>>> 
>>> eclipse.scm? Or maybe maven.scm, with all other maven bootstrap
>>> dependencies (and maven itself)? Or maven-bootstrap.scm, maven.scm
>>> being for the complete maven built with maven-bootstrap, and all the
>>> plugins of maven?
>> 
>> So, I've corrected all your comments, except this one, and I don't 
>> want
>> to push without some sort of a consensus. Do I add these packages to
>> java.scm, eclipse.scm, maven.scm, maven-bootstrap.scm?
> 
> Since Eclipse Jetty is a Java HTTP server I’d just put it in web.scm.
> Please also make sure that the description says something like “…helper
> classes for the Jetty HTTP server…” or similar.
> 
> I could imagine an “eclipse” module to grow a lot, because there’s so
> much software under than umbrella.  And since Jetty is usable without
> Maven I think it really shouldn’t just be put in a new maven.scm.
> 
> Does this make sense?

Yes it does! I will fix and push this evening, then. Thank you.

> 
> --
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net